鸿 网 互 联 www.68idc.cn

【高德地图API】VS2012或者VS2013添加高德地图v2.1.1版本SDK失败

来源:互联网 作者:佚名 时间:2013-12-25 10:48
可能由于v2.1.1版本SDK可能是在Win8.1环境下编译【这里有许多的原因,系统升级,安装VS2013等等】 有童鞋在操作正常的情况下添加SDK失败,提示版本不兼容。 如下图: 编辑项目*.csproj 文件,在节点ItemGroup后添加如下代码,保存后重新打开项目。 ItemGroup

可能由于v2.1.1版本SDK可能是在Win8.1环境下编译【这里有许多的原因,系统升级,安装VS2013等等】
有童鞋在操作正常的情况下添加SDK失败,提示版本不兼容。

如下图:

 

编辑项目  *.csproj 文件,,在节点<ItemGroup>后添加如下代码,保存后重新打开项目。

<ItemGroup> <Reference Include=> <HintPath>..\AMAP3DEngine\references\arm\debug\AMapSDKV2Comp.winmd</HintPath> </Reference> <Reference Include=> <HintPath>..\AMAP3DEngine\references\arm\debug\Com.AMap.Api.Maps.dll</HintPath> </Reference> <Reference Include=> <HintPath>..\AMAP3DEngine\references\arm\debug\Com.AMap.Api.Services.dll</HintPath> </Reference> <Reference Include=> <HintPath>..\AMAP3DEngine\references\arm\debug\Google.ProtocolBuffers.dll</HintPath> </Reference> </ItemGroup>

网友评论
<